> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bnzgreen.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Details

> Get details of a transaction by ID



## OpenAPI

````yaml GET /marketplace/transactions/{id}
openapi: 3.0.1
info:
  title: Marketplace API
  description: API specification for user authentication and transaction management
  version: 1.0.0
servers:
  - url: https://api.sandbox.external.bnznow.com
    description: Sandbox server for marketplace APIs
  - url: https://api.external.bnznow.com
    description: Production server for marketplace APIs
security: []
paths:
  /marketplace/transactions/{id}:
    get:
      tags:
        - Transactions
      summary: Get Transaction Details
      description: Returns details of a specific transaction
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          description: API key for authentication
        - name: id
          in: path
          description: ID of transaction to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Transaction details response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionDetail'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TransactionDetail:
      type: object
      properties:
        id:
          type: string
          description: Transaction ID
        amount:
          type: number
          description: Transaction amount in INR
        type:
          type: string
          enum:
            - buy
            - offset
          description: Transaction type
        carbon_credits:
          type: number
          description: Carbon credits bought or offsetted in tonCO2e
        timestamp:
          type: string
          description: Timestamp of the transaction
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string

````